CMSIS-DSP: CMakeLists.txt File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
CMakeLists.txt File Reference

## Functions

cmake_minimum_required (VERSION 3.14) project(CMSISDSPQuaternionMath) include(configLib) include(configDsp) add_library(CMSISDSPQuaternionMath STATIC arm_quaternion_norm_f32.c) target_sources(CMSISDSPQuaternionMath PRIVATE arm_quaternion_inverse_f32.c) target_sources(CMSISDSPQuaternionMath PRIVATE arm_quaternion_conjugate_f32.c) target_sources(CMSISDSPQuaternionMath PRIVATE arm_quaternion_normalize_f32.c) target_sources(CMSISDSPQuaternionMath PRIVATE arm_quaternion_product_single_f32.c) target_sources(CMSISDSPQuaternionMath PRIVATE arm_quaternion_product_f32.c) target_sources(CMSISDSPQuaternionMath PRIVATE arm_quaternion2rotation_f32.c) target_sources(CMSISDSPQuaternionMath PRIVATE arm_rotation2quaternion_f32.c) if((NOT ARMAC5) AND(NOT DISABLEFLOAT16)) endif() configLib(CMSISDSPQuaternionMath $

| configDsp (CMSISDSPQuaternionMath ${ROOT}) target_include_directories(CMSISDSPQuaternionMath PUBLIC"$

## Function Documentation

cmake_minimum_required | ( | VERSION 3. | 14 | ) |

configDsp | ( | CMSISDSPQuaternionMath ${ROOT} |  | ) |